Manuel



de



FreeCAD





Splash013.jpg




Ce manuel traite des Outils d'architecture.


Arch



Outils d'architecture

Arch Wall.png Architecture Mur Wall

Emplacement du menu
Arch → Wall
Ateliers
Arch
Raccourci par défaut
W A
Voir aussi
Arch Structure

Contents


Description

Cet outil crée un objet mur à partir de zéro ou sur la base de n'importe quel objet shape ou sur la base de n'importe quel objet mesh. Un mur peut être construit sans objet de base, il se comportera alors comme un volume cubique, il sera construit à l'aide des propriétés de longueur, largeur et hauteur. Lorsque qu'il est construit sur une forme existante, le mur peut être basé sur :

  • Un objet linéaire 2D, tel que ligne, fil, arc ou croquis, dans ce cas, vous pouvez modifier l'épaisseur, l'alignement (droite, gauche ou centré) et la hauteur.
  • Un face plane, dans ce cas, vous ne pouvez pas changer la hauteur.
  • Un solide, dans ce cas, vous ne pouvez rien changer.
  • Un mesh, dans ce cas, le maillage sous-jacent doit être un solide fermé non multiples.

Arch Wall example.jpg L'exemple ci-dessus montre les murs en cours de construction au-dessus d'une ligne, un fil, une face, un solide, et, un croquis.

Les murs peuvent aussi avoir des ajouts ou des soustractions. Les ajouts sont d'autres objets dont les formes sont jointes aux formes du mur, tandis que les soustractions sont soustraites. L'Ajout, et, la soustraction peuvent être exécutés grâce aux outils Ajouter et, Supprimer. Les additions, et, les soustractions n'ont aucune influence sur les paramètres de mur, comme la hauteur, et, la largeur, et, ce qui peut être encore modifié. Les murs peuvent aussi avoir une hauteur automatique, si elles sont incluses dans un objet de niveau supérieur tels que lescellules ou les planchers. La hauteur doit être maintenue à 0, puis le mur doit adopter la hauteur spécifiée dans l'objet parent.

Lorsque plusieurs murs doivent se croiser, vous devez les placer dans une cellule ou un sol, et, avoir leurs géométries entre coupées.

Utilisation

Dessiner un mur au niveau désiré

  1. Pressez le bouton Arch Wall.png Atelier Architecture, ou pressez les touches W, et, A.
  2. Cliquez le premier point dans la vue 3D, ou tapez une coordonnée.
  3. Cliquez le second point dans la vue 3D, ou tapez une coordonnée.

Dessinez un mur sur un objet sélectionné

  1. Sélectionnez un ou plusieurs objets géométriques de base (Draft object, sketch, etc)
  2. Cliquez sur le bouton Arch Wall.pngArch_Wall ou pressez les touches W then A.
  3. Ajustez les propriétés nécessaires telles que, la hauteur ou la largeur.

Options

  • La hauteur, la largeur, et, l'alignement d'un mur peuvent être définis lors de l'élaboration, via la Vue combinée → Propriétés
  • Lorsque l'on aligne un nouveau mur à un mur existant, les deux murs se raccorderont en un seul mur. La manière dont les deux parois vont se joindre, dépend de leurs propriétés : s'ils ont la même largeur, hauteur, et, alignement. Le mur résultant, sera un objet basé sur un dessin, constitué de plusieurs segments. Dans le cas contraire, le dernier mur, sera ajouté comme un complément du premier mur.
  • Pressez les touches X, Y ou Z après le premier point pour contraindre le second point sur les axes donnés.
  • Vous pouvez entrer les coordonnées manuellement, simplement en entrant un nombre, puis tapez ENTER entre chaque composants X, Y, et, Z.
  • Pressez la touche R ou cochez / décochez la case Relatif. Si Relatif est coché, les coordonnées du second point sont relatives au premier point. Si Relatif est décoché, le point est absolu, les coordonnées commencent au point d'origine (0,0,0).
  • Après avoir cliqué votre premier point, donnez une direction horizontale ou verticale à votre ligne, puis, pressez sur la touche SHIFT, et, votre ligne sera contrainte horizontalement ou verticalement.
  • Appuyez sur ESC pour annuler l'opération, et, quitter la fonction.
  • Après sa création, faire un double-clic sur le mur, dans l'arborescence de la Vue combinée, vous permet d'entrer dans le mode édition, et, d’accéder aux modifications, aux ajouts ou aux suppressions.
  • Les murs multicouches peuvent être créés facilement par la construction de plusieurs murs sur la même ligne de base. En affectant les propriétés Align et en spécifiant une valeur de décalage gauche ou droite, vous pouvez effectivement construire plusieurs couches sur la paroi. Placer une fenêtre dans une telle couche de mur propagera l'ouverture vers les autres couches de la paroi basée sur la même ligne de base.

Accrochage (Snapping)

La fonction accrochage (snapping) pour Arch walls est un peu différente qu'avec Arch et les autres objets Draft. Si un mur a un objet de base, l'accrochage se fait sur l'objet de base, au lieu de la géométrie du mur, ce qui permet d'aligner facilement le mur sur sa ligne de base. Si, toutefois, vous voulez spécifiquement que l'alignement se fasse sur la géométrie du mur, appuyez sur la touche CTRL et l'accrochage se fera sur le mur.

Arch wall snap.jpg

Propriétés

Les objets muraux héritent des propriétés de Part, et ont également les propriétés supplémentaires suivantes :

  • DONNÉESAlign: L'alignement de la base du mur sur la base de référence : gauche, droite ou centre
  • DONNÉESBase: Ce mur est construit sur l'objet de base
  • DONNÉESFace: L'index de la face de l'objet de base utilisée. Si la valeur n'est pas définie ou est 0, l'objet entier est utilisé
  • DONNÉESForce Wire: Si la valeur est True le mur est basé sur une face, seul le bord de la face est utilisée, résultant en un mur bordant la face
  • DONNÉESLength: la longueur du mur (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESWidth: La largeur du mur. (non utilisé lorsque le mur est basé sur une face)
  • DONNÉESHeight: La hauteur du mur (non utilisé lorsque le mur est basé sur une face). Si aucune hauteur n'est donnée et que le mur est à l'intérieur d'un objet floor avec sa hauteur définie, le mur prendra automatiquement la valeur de la hauteur de l'étage.
  • DONNÉESNormal: Donne une direction pour l'extrusion du mur. Si la valeur (0,0,0), la direction d'extrusion est automatique.
  • DONNÉESOffset: Spécifie la distance entre le mur et le niveau de référence. Fonctionne uniquement si la propriété Align est à droite ou à gauche (Right ou Left.).

Script

L'outil mur peut servir dans une macros, et, à partir de la console Python en utilisant la fonction suivante :

makeWall ( [obj],[length],[width],[height],[align],[face],[name] ) 
  • Crée un mur basé sur l'objet donné, qui peut être une esquisse, un objet, une face ou un solide. Align peut être placé au Centre à Gauche ou à Droite. Si vous ne sélectionnez aucun objet de base, vous pouvez utiliser des valeurs numériques pour Length, Width et Height. Une face peut être utilisée pour donner la base de construction, pour y construire le mur, au lieu d'utiliser l'objet entier.
  • Retourne le mur créé, ou ne fait rien si l'opération a échoué.

Exemple:

import FreeCAD, Draft, Arch
baseline = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Arch.makeWall(baseline,None,0.1,2) 

Arch Structure.png Arch Structure

Emplacement du menu
Arch → Structure
Ateliers
Arch
Raccourci par défaut
S T
Voir aussi
Arch Wall


Description

Cet outil vous permet de construire les éléments structurels, tels que colonnes ou poutres, en précisant leur largeur, longueur et hauteur, ou en les fondant sur un profil 2D.

Arch Structure example.jpg

L'image ci-dessus montre une colonne basée sur un profil de base 2D, une colonne et une poutre sur base d'un profil (défini par leurs dimensions hauteur, longueur et largeur) et un profilé métallique basé sur un contour 2D (face, fils ou croquis). En plus, il y a un certain nombre de préréglages disponibles pendant la création de l'objet, vous permettant de construire rapidement un élément structurel à partir d'un profil standard prédéfini.

Utilisation

  • Sélectionnez une forme 2D (objet projet, une facee ou un croquis) (en option).
  • Appuyez sur le bouton de la structure Arch Arch Structure.png.
  • Réglez les propriétés désirées.

Options

  • Si aucun objet n'est sélectionné, un bloc en 3 dimensions est créé par défaut.
  • La hauteur, la largeur et la longueur d'une structure peuvent être modifiées après création.
  • Appuyez sur les touches ESC ou Cancel pour annuler la commande en cours.
  • Double-cliquez sur la structure dans l'arborescence après sa création vous permet d'entrer dans le mode édition pour accèder et modifier ses ajouts et retraits.
  • En mode édition, il est également possible d'ajouter un système d'axes à l'élément structurel. Lors de l'ajout d'un système d'axes, l'élément structurel sera copié une fois sur chaque axe du système. Lors de l'ajout de deux systèmes d'axes, l'élément structurel sera copié une fois sur chaque point d'intersection des deux systèmes.

Propriétés

  • DATALongueur: la longueur de la structure (uniquement utilisé s'il n'est pas basé sur un profil).
  • DATALargeur: la largeur de la structure (uniquement utilisé s'il n'est pas basé sur un profil).
  • DATAHauteur: la hauteur de la structure (ou la longueur d'extrusion lorsqu'il est basé sur un profil). Si aucune hauteur n'est donné, et que la structure est à l'intérieur d'un objet sol avec sa hauteur définie, la structure prend automatiquement la valeur de la hauteur du sol (plancher).


  • DATANodes Offset: Déplacement optionnel entre le centre de la ligne et les noeude de la ligne.
  • VIEWNodes Type: le type de structure de noeud de cet objet, linéaire ou surfacique.
  • VIEWShow Nodes: Affiche ou cache la structure des noeuds.

Prérequis

L'outil Structure dispose aussi d'une série de préréglages qui permettent de construire rapidement des profils métalliques standard ou d'éléments préfabriqués en béton.

Arch presets example.jpg

Les présélections sont obtenues en choisissant un Catégorie à partir du panneau d'options de structure. Les catégories disponibles sont Béton préfabriqué ou un des profilés métalliques standard de l'industrie tels que HEA, HEB ou INP. Pour chacune de ces catégories, un certain nombre de préréglages sont disponibles. Une fois qu'une présélection est choisie, ses paramètres individuels tels que Longueur, Largeur ou Hauteur peuvent être ajustées. Cependant, pour des profilés métalliques, la taille du profil est définie par le préréglage et ne peut pas être modifié.

Le bouton Commutateur L/H peut être utilisé pour donner les valeurs de la longueur et de la hauteur, et la construction d'une poutre horizontale plutôt que d'une colonne verticale.

Arch precast example.jpg

Structure des noeuds

L'objet structurel a également la possibilité d'afficher les nœuds structurels. les nœuds structurels sont une séquence de points 3D stockés dans la propriété "nœuds". Dans propriété "Afficher les nœuds" sélectionnez on/off, on peut voir les nœuds structurels d'un élément de structure:

Arch structural nodes.jpg

  • Les nœuds sont calculés et mis à jour automatiquement, tant que vous ne les modifiez pas manuellement. Si vous le faites manuellement, et que la forme de l'objet change sa structure ils ne seront pas mis à jour, à moins que vous n'utilisiez l'outil «Reset nœuds» ci-dessous.
  • Structures Arch peuvent avoir non seulement des nœuds linéaires, mais aussi des nœuds planaires. Pour cela, 1- Il doit y avoir au moins 3 vecteurs dans la propriété "Nodes" de l'objet, 2- la propriété "NodesType" de leur ViewObject doit être réglé sur "Surface".
  • Lorsque le calcul des nœuds est automatique (d'office, si vous ne les touchez pas manuellement), lors de la création de la propriété Rôle d'une structure à "Slab", il deviendra automatiquement un nœud plat (il y aura plus de 3 vecteurs et NodesType sera réglé sur "Surface").
  • Lors de la modification d'un objet de structure (double-clic), une série d'outils pour les nœuds sont disponibles dans la vue "Tâche":
    • Réinitialiser les nœuds lancera le calcul automatique, dans le cas où vous les modifiez manuellement.
    • Modifier les nœuds graphiquement, fonctionne de la même manière que dans le Projet Edit.
    • Étendre les nœuds de l'objet modifié jusqu'à ce qu'il touchent le nœud d'un autre objet.
    • Construire le nœud de cet objet et le rendre coïncidant à un autre.
    • Basculer l'affichage on/off de tous les nœuds et de tous les éléments structurels dans le document.

Script

L'outil Structure est utilisable dans une macro et à partir de la console python en utilisant la fonction suivante :

makeStructure ([obj],[length],[width],[height],[name]) 
créer un élément de structure fondé sur un profil donné et une hauteur d'extrusion donnée. Si aucun objet de base n'est donné, vous pouvez également spécifier la longueur et la largeur d'un objet cubique.

Exemple:

import Arch
Arch.makeStructure(0.5,1,3) 

Arch_Cell/fr

Arch Cell.png Arch Cell

Emplacement du menu
Arch -> Cell
Ateliers
Arch
Raccourci par défaut
C E
Voir aussi
Arch Floor


NOTE : A partir de la version 0.13 cette commande est supprimée. Utilisez à la place la commande Draft_AddToGroup groupe.

Description

Les outils cellulaires permettent de regrouper plusieurs éléments architecturaux dans un «groupe». Les formes géométriques similaires sont jointes (murs avec murs, éléments de structure avec éléments de structure, etc)

Arch Cell example.jpg

Dans l'exemple ci-dessus, les 3 murs de la gauche sont rejoints dans une cellule, affichée à la droite

Utilisation

  • Sélectionnez les objets de base destinés à être regroupés.
  • Appuyez sur le bouton Arch Cell Arch Cell.png
  • Les différents composants, peuvent ensuite être ajoutés ou retirés avec les outils Arch Add Arch Add.png et Retirer Arc Arch Remove Arch Remove.png.


Les outils architecturaux

Mur    Élément structurel    Crée une cellule    Étage    Bâtiment    Crée un site    Crée une fenêtre    Crée un toit    Axes système    Plan de coupe    Crée un objet spatial    Crée un objet escalier    Ajouter    Supprimer   


Test of tables

Constraints Combination Remarks

You can italicize text by putting 2 apostrophes on each side.

3 apostrophes will bold the text.

5 apostrophes will bold and italicise the text.

(4 apostrophes don't do anything special -- there's just 'one left over'.)

You can ''italicize text'' by putting 2 
apostrophes on each side. 

3 apostrophes will bold '''the text'''. 

5 apostrophes will bold and italicize 
'''''the text'''''.

(4 apostrophes don't do anything special 
 -- there's just ''''one left over''''.)

Elbow equality horizontal vertical.png

Flips at 51 mm

Defintion of length: Equality constraint for definition of length

Defintion of orientation: horizontal and vertical constraints


Traductions disponibles: Flag-en.jpg Flag-es.jpg Flag-it.jpg Flag-jp.jpg

Arch Floor.png Arch Floor

Emplacement du menu
Arch -> Floor
Ateliers
Arch
Raccourci par défaut
F L
Voir aussi
Arch Cell


Description

L'établi Arch Floor est un type spécial de cellules Arch Arch Cell.png qui a quelques propriétés supplémentaires, particulièrement adapté pour la construction de planchers. En particulier, ils ont une propriété height, auquel ses objets enfants, ( walls (murs) Arch Wall.png et structuresArch Structure.png ) peuvent être définis, pour utiliser leur propre hauteur automatiquement.

Utilisation

  1. Optionnellement, sélectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau plancher
  2. Cliquez sur le bouton Arch Floor.png Arch Floor ou pressez les touches F et L

Options

  • Après la création du plancher, vous devez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue 3D ou utilisez l'outil Arch Add.png Arch Add
  • Vous pouvez effacer le plancher que vous avez copier/coller dans la vue 3D ou utiliser l'outil Arch Remove.png Arch Remove/fr

Propriétés

  • DATAHeight: La hauteur du plancher, qui va être utilisé par ses objets enfants

Script

L'outil Plancher peut être utilisé dans une macros ainsi que dans la console Python en utilisant la commande :

makeFloor ([objectslist]) 

crée un plancher en incluant les objets dans la liste.

Exemple:

import Arch
Arch.makeFloor() 

Arch Building.png Arch Building

Emplacement du menu
Arch -> Building
Ateliers
Arch
Raccourci par défaut
B U
Voir aussi
Arch Cell


Description

Le bâtiment est un type spécial de Cellule Arch Cell.png conçue pour contenir une unité de l'ensemble du bâtiment. Jusqu'à présent, la seule spécificité qu'il possède, est une icône différente.

Utilisation

  1. Optionnellement, selectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau bâtiment
  2. Pressez le bouton Arch Building.png Arch Building, ou pressez les touches B et U

Options

  • Après la création du bâtiment, vous pouvez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue 3D ou utilisez l'outil Arch Add.png Arch Add
  • Vous pouvez effacer le bâtiment que vous avez copier/coller dans la vue 3D ou utiliser l'outil Arch Remove.png Arch Remove

Script

L'outil bâtiment peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python, en utilisant la fonction suivante :

makeBuilding ([objectslist]) 

crée un bâtiment en incluant les objets dans la liste.

Exemple:

import Arch
Arch.makeBuilding() 

Arch Site.png Arch Site

Emplacement du menu
Arch → Site
Ateliers
Arch
Raccourci par défaut
S I
Voir aussi
Arch Floor, Arch Building


Description

Arch Site est un objet spécial qui combine les propriétés d'un objet groupe FreeCAD standard et un objet Arch. Il est particulièrement adapté pour représenter un site entier, ou un terrain. Dans IFC-travail architectural, il est surtout utilisé pour organiser votre modèle, qui contient un objet bâtiment. Arch Site est également utilisé pour gérer et afficher un terrain physique, et peut calculer le volume de terre a ajouter ou a supprimer.

Utilisation

  1. Optionnellement, sélectionnez un ou plusieurs objets pour les inclure dans votre nouveau site
  2. Pressez le bouton Arch Site.png Arch Site , ou les touches S et I

Options

  • Après la création d'un site, vous pouvez ajouter des objets par glisser-déposer dans l'arborescence ou en utilisant l'outil Arch Add.png Arch Add
  • Vous pouvez supprimer les objets d'un site par un glisser-déposer hors du site ou de la vue arborescente ou en utilisant l'outil Arch Remove.png Arch Remove
  • Vous pouvez ajouter un objet terrain en éditant le site propriété Terrain . Le terrain doit être une coquille ouverte ou une surface.
  • Vous pouvez ajouter ou les soustraire des volumes du terrain de base, en double-cliquant sur le site, et ajouter des objets à ces soustractions ou groupes ajoutés. Les objets doivent être des solides.
  • La propriété Extrusion de Vecteurs peut être utilisée pour résoudre certains problèmes qui peuvent apparaître lorsque vous travaillez avec des soustractions et des additions. Afin de réaliser ces additions/soustractions, la surface du terrain doit être extrudée en un solide, qui est ensuite convenablement fusionnée/soustraite. En fonction de la topologie du terrain, cette extrusion peut échouer avec le vecteur d'extrusion par défaut. Vous pourrez donc être en mesure de remédier au problème en changeant sa valeur.

Propriétés

  • DATATerrain: Le terrain de base du site
  • DATAAddress: L'adresse du site (rue numéro)
  • DATAPostal Code: Le code postal
  • DATACity: La ville du site
  • DATACountry: Le pays du site
  • DATALatitude: La latitude du site
  • DATALongitude: La longitude du site
  • DATAUrl: L'adresse URL du site sur une carte web
  • DATAProjected Area: La surface de projection de l'ojet dans le plan XY
  • DATAPerimeter: La longueur du périmètre du terrain
  • DATAAddition Volume: Le volume de terre a ajouter dans le terrain
  • DATASubtraction Volume: Le volume de terre a soustraire du terrain
  • DATAExtrusion Vector: Le vecteur d'extrusion a utiliser pour une opéraion booléenne
  • DATARemove Splitter: Efface le splitter de la forme résultante
  • DATANorth Deviation: L'angle entre le Nord réel et le Nord de la feuille de dessin ou du projet
  • VIEWSolar Diagram: Affiche ou cache le diagramme du soleil
  • VIEWSolar Diagram Color: La couleur du diagramme du soleil
  • VIEWSolar Diagram Position: La position du diagramme du soleil
  • VIEWSolar Diagram Scale: L'échelle du diagramme du soleil

Travail typique

Débutez la création de l'objet représentant le terrain. Vous devez créer une surface, pas un solide. par exemple, il est facile d'importer les données de maillage, pour cela allez dans le menu Part > et sélectionnez Générateur de forme. Alors, créez un objet Site et une propriétés Terrain est créé:

Arch site example 01.jpg

Créez les volumes (les volumes doivent être des solides) qui représentent les surfaces à travailler. Double cliquez sur l'objet Site dans la vue 3D, et ajoutez ou soustrayez ces volumes du groupe. Cliquez sur OK.

Arch site example 02.jpg

La géométrie du site est alors calculée, les surfaces les périmètres et volumes sont automatiquement recalculés.

Arch site example 03.jpg

Diagramme du soleil

Si pysolar est installé dans votre système, Arch Sites peut afficher le diagramme du soleil. Pour que les propriétés, de Longitude, Latitude et NorthDeviation soient correctement réglées, SolarDiagram dans vue propriétés doit être activé. available in version 0.17


Freecad-solar-diagram.jpg

Script

L'outil site est utilisable dans une macro et dans la console python en utilisant la fonction suivante :

makeSite ([objectslist]) 

crée un site en incluant les objets dans la liste.

Exemple:

import Arch
Arch.makeSite() 

Solar diagram peut aussi être créé avec:

import Arch,FreeCADGui
node = Arch.makeSolarDiagram(-46.38,-23.33) # longitude, latitude, [scale]
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(node) 

Arch Window.png Arch Fenêtre

Emplacement du menu
Arch → Window
Ateliers
Arch
Raccourci par défaut
W I
Voir aussi
Arch Wall


Description

L'outil fenêtre est un objet de base pour toutes sortes d'objets intégrable, comme les fenêtres, portes, etc.. Il est conçu pour être indépendant, ou devenir hôte à l'intérieur d'un autre composant comme un mur. Il a sa propre forme géométrique, qui peut être fait de plusieurs composants (le cadre de la fenêtre, par exemple), et, définit également un volume à soustraire aux objets de l'hôte, afin de créer une ouverture.


Les fenêtres sont basées sur des objets 2D fermés, comme des rectangles ou des esquisses, qui sont utilisés pour définir leurs composantes internes. L'objet 2D de base peut donc contenir plusieurs fils fermés, qui peuvent être combinés pour constituer des panneaux plein (un seul fil) ou images (plusieurs fils).

L'outil window comporte également plusieurs préréglages , qui permettent de créer des portes pleines ou fenêtres parmi une liste de paramètres, il n'est pas nécessaire de créer manuellement les objets de base et les composantes 2D. Mais les fenêtres peuvent également être créés à partir de zéro, en dessinant en premier comme base un objet 2D.

Arch Window example.jpg

Dans l'image ci-dessus, une fenêtre est construite par-dessus un rectangle, puis insérée dans un mur. L'outil Arch Add ajoute une fenêtre sur un mur en créant automatiquement une ouverture correcte sur l'hôte.

Arch Window example2.jpg

L'image ci-dessus, montre une fenêtre plus complexe en cours de construction, au sommet d'une esquisse. Lors de l'entrée en mode édition de la fenêtre, vous pouvez créer des composants différents, définir leurs épaisseurs, et, les sélectionner, pour leurs assigner des fils avec les outils du sketcher.

Utilisation

Utilisation des préréglages

  1. Tout désélectionner. Si une face est sélectionnée, vous entrez dans le mode "Créer à partir de zéro" mode automatique.
  2. Appuyez sur le bouton Arch Window.png Arch Window ou appuyez sur les touches W puis I.
  3. Sélectionnez un des préréglages dans la liste.
  4. Remplissez les paramètres souhaités.
  5. Cliquez sur le bouton OK

Création à partir de zéro

  1. Optionnellement, sélectionnez une face ou un objet Arch où vous devez insérer votre fenêtre
  2. Activez le module Sketcher
  3. Créez une nouvelle esquisse
  4. Dessinez une ou plusieurs formes fermées
  5. Fermez le sketcher
  6. Activez le module Arch Workbench
  7. Appuyez sur le bouton Arch Window.png Arch Window ou appuyez sur les touches W puis I
  8. Entrez dans le mode édition en double cliquant sur la fenêtre dans la vue 3D, pour ajuster les composants de la fenêtre

Préréglages

Les préréglages suivants sont disponibles :

Création de composants

Arch Windows peut inclure deux types de composants : panneaux et images. Les panneaux sont constitués d'un fil fermé, obtenu par extrusion, tandis que les armatures sont faites de 2 fils fermés ou plus, où chacune est extrudée, puis les plus petites sont soustraites des plus grandes. Vous pouvez accéder, créer, modifier et supprimer des composants d'une fenêtre en mode d'édition (double-cliquez sur la fenêtre dans la vue 3D). Les composants ont les propriétés suivantes :

  • Name: Le nom du composant
  • Type: Le type de composant The type of component. Peut être, "un panneau de verre", "panneau solide" ou "une persienne"
  • Wires: Liste de fils séparés par une virgule
  • Thickness : l'épaisseur de l'extrusion du composant.
  • Offset : la distance entre le composant, et, sa ligne de base 2D.

Arch Window options.jpg

Options

  • Si la case Auto-include est cochée , la fenêtre ne sera pas insérée dans l'objet hôte.
  • Ajoutez une fenêtre sélectionnée sur un mur, pressez sur le bouton Arch Add.png ajouter.
  • Supprimez la fenêtre sélectionnée du mur, pressez sur le bouton Arch Remove.png éffacer.
  • Lors de l'utilisation des préréglages, il est souvent commode de transformer le "Near" Draft Snap, donc vous pouvez coller votre fenêtre sur une face existante.

Portes

Les portes sont facilement construites avec l'outil fenêtre, vous devez juste dessiner la base de la porte, le fil intérieur (porte), doit toucher le fil extérieur (chambranle), comme dans l'image ci-dessous.

Door

Propriétés

  • DONNÉESWindow Parts : une liste chaîne (5 chaînes par composant, réglez les options des composants ci-dessus)
  • DONNÉESLouvre Width: Si un des composants est réglé sur "Louvres", cette propriété définit la taille des éléments de la persienne
  • DONNÉESLouvre Spacing: Si un des composants est réglé sur "Louvres", cette propriété défini l'espacement entre les éléments de la persienne

Script

L'outil fenêtre peut être utilisé à l'intérieur d'une macro, et, à partir de la console Python, en utilisant la fonction suivante :

makeWindow (obj,[name]) 
crée une fenêtre basée sur l'objet donné

Exemple:

import Draft, Arch
rect = Draft.makeRectangle(length=2,height=4)
Arch.makeWindow(rect) 

Arch SectionPlane.png Arch Plan de coupe

Emplacement du menu
Architecture → Plan de coupe
Ateliers
Arch
Raccourci par défaut
S P
Voir aussi
Aucun


Description

Cet outil place dans le document courant un objet qui définit un plan de coupe ou une vue. Le plan de coupe adopte l'orientation du plan de travail courant et peut être déplacé et réorienté jusqu'à ce qu'il décrive la vue 2D que vous souhaitez obtenir. L'objet plan de coupe ne calculera que les objets qui ont été sélectionnés lorsqu'il a été créé. Des objets peuvent ensuite être ajoutés ou supprimés d'un plan de coupe avec les outils Arch Add et Arch Remove.

À sa création, l'objet plan de coupe insère également sa propre vue dans la page de dessin active, ou créé une nouvelle page si aucune page n'existe. Vous pouvez également ajouter des vues de plans de coupe directement dans le document à l'aide de l'outil Draft Projection 2D d'une forme et un plan de coupe sélectionné.

Arch SectionPlane example.jpg

Utilisation

  1. Définissez le plan de travail
  2. Sélectionnez l'objet ou les objets à inclure dans le plan de coupe.
  3. Appuyez sur le bouton Arch SectionPlane.png Plan de coupe ou pressez les touches S, et, P.
  4. Déplacez/Pivotez le plan dans sa position correcte.
  5. Appuyez sur le bouton Std Recompute.png Rafraîchir pour mettre la vue à jour.

Options

  • Après avoir sélectionné un plan de coupe, utilisez l'outil de Draft Projection 2D d'une forme pour créer un objet shape qui représente l'affichage du plan de coupe dans le document

Arch Section example2.jpg

  • Créez un nouvel objet vue ou un plan de coupe en le sélectionnant et utilisez l'outil Draft Drawing

Arch Section example3.jpg

Propriétés

  • VIEWDisplay Size: La taille du plan de coupe dans la vue 3D

Script

L'outil plan de coupe peut servir dans une macro et à partir de la console Python en utilisant la fonction suivante :

makeSectionPlane ([objectslist]) 
Crée une section plan en incluant une liste d'objets

Exemple :

import FreeCAD, Draft, Arch
trace = Draft.makeLine(FreeCAD.Vector (0, 0, 0),FreeCAD.Vector (2, 2, 0))
wall = Arch.makeWall(trace,width=0.1,height=1,align="Center")
Arch.makeSectionPlane([wall]) 

Arch Axis.png Arch Axes

Emplacement du menu
Arch -> Axis
Ateliers
Arch
Raccourci par défaut
A X
Voir aussi
Aucun


Description

L'outil Axes, vous permet de placer un système d'axes dans le document actif. La distance, et, l'angle entre les axes est personnalisable, ainsi que le style de police de numérotation. Les Axes serviront principalement de références pour aligner les objets dessus, mais peuvent également servir avec Arch_Structure, pour créer des tableaux paramétriques, des poutres ou, des colonnes.

Arch Axis example.jpg

Utilisation

  1. Appuyez sur le bouton Axes system Systeme d'axes ou, appuyez sur les touches A puis X .
  2. Déplacer / Faire une Rotation le système d'axes dans la position souhaitée.
  3. entrez en mode édition, en double-cliquant sur le système d'axes dans la vue combinée, pour ajuster ses paramètres, comme le nombre d'axes, les distances, et, les angles entre les axes.

Options

  • Chaque axe, dans un système d'axes a sa propre distance, et, angle par rapport à l'axe précédent. Cela permet de faire des systèmes très complexes, tels que les systèmes non orthogonaux, systèmes polaires, ou n'importe quel système de type de non uniforme.
  • La longueur des axes, la taille des bulles, et, les styles de numérotation sont personnalisables, directement via les propriétés du système d'axes.

Système structurel

La principale utilisation des système d'axes sert simplement à référencer les lignes, pour s'aligner sur elles, mais ils peuvent aussi servir pour générer automatiquement des tableaux structuraux, tels que les grilles, les colonnes, et, les mises en faisceau :

Arch Axis example2.jpg

Pour obtenir ce résultat, un ou, plusieurs système d'axes doivent être ajoutés à un élément structurel, en le transformant en un tableau. Si un système d'axes est ajouté, l'élément est copié une seule fois, sur chaque ligne du système, comme les poutres sur l'image ci-dessus. Si les deux systèmes sont ajoutés, l'élément est copié une seule fois sur chaque intersection des deux systèmes, comme les colonnes sur l'image ci-dessus.

Bien sûr, les mêmes système d'axes peuvent être utilisés dans plusieurs objets structurels.

  1. Créer un objet Arch_Structure.
  2. Créer un ou, plusieurs système d'axes.
  3. Sélectionnez un, ou plusieurs système d'axes, puis l'objet structurel.
  4. Appuyez sur le bouton text-top=Ajoutert Ajouter.
  5. En entrant en mode de modification de l'objet structurel (en double-cliquant dessus, dans la vue combinée), vous pouvez ajouter, ou supprimer des système d'axes.

Propriétés

  • DONNÉESLength: La longueur des axes.
  • VUEBubble Size: La taille des bulles des axes.
  • VUENumeration style: Style de numérotation : 1,2,3, A,B,C, etc...

Script

L'outil axes peut être utilisé dans une macro, et, à partir de la console Python, en utilisant la fonction suivante :

makeAxis ([number],[interval]) 
crée un Système d'Axes sur la base du nombre d'axes donné et de la distance d'intervalle

Exemple:

import Arch
Arch.makeAxis(5,2) 

Arch Roof.png Arch toiture

Emplacement du menu
Arch → Roof
Ateliers
Arch
Raccourci par défaut
R F
Voir aussi
Aucun


Description

L'outil Toit vous permet de créer un toit avec une pente à partir d'une ligne sélectionnée. L'objet Toit créé est paramétrique, et garde sa relation avec l'objet de base. PS: notez que cet outil est encore en développement, et pourrait ne pas fonctionner avec des formes trop complexes. Le principe est que chaque bord se voit attribuer un profil de toiture (pente, largeur, saillie, épaisseur ...).

RoofExample.png

Utilisation

  1. Créez un fil dans le sens antihoraire et sélectionnez le .
    • CounterclockwiseWire.png
  2. Cliquez sur le bouton Arch Roof.png Arch Roof , ou sur les touches R puis F
  3. L'objet Toit par défaut a l'air étrange car l'outil n'a aucune information.
  4. Après la création du toit par défaut, double cliquez sur l'objet dans la vue 3D pour accéder à son édition et ses propriétés. Les angles doivent être compris entre 0 et 90 degrés.
    • RoofTable.png
  5. Chaque ligne correspond à un pan de toit. Vous pouvez ainsi définir les propriétés que vous dédirez pour chaque pan du toit.
  6. Pour vous aider, vous pouvez définir les angles ou les mettre à 0 et défini un ID relatif, les données relatives se calculeront automatiquement.
  1. Voici son fonctionnement:
    1. Si Angle = 0 et Run = 0 le profil est identique au profil relatif.
    2. Si Angle = 0 alors l'angle est calculé de telle manière que la hauteur soit la même que le profil relatif.
    3. Si Run = 0 alors Run est calculé de telle manière que la hauteur soit la même que le profil relatif.
  2. A la fin, définir un angle de 90 ° pour réaliser un pignon.
    • RoofProfil.png
  3. Vous pouvez aussi voir cete vidéo : https://www.youtube.com/watch?v=4Urwru71dVk

Propriétés

  • DONNÉESAngles: Liste les angles des pans de la toiture (un angle pour chaque pan) de la pente.
  • DONNÉESRuns: Liste de la largeur du pan de la toiture (une pour chaque bord).
  • DONNÉESIdRel: Liste la relation entre l'angle et la pente du toit
  • DONNÉESThickness: Liste de l'épaisseur du pan de la toiture. (Une épaisseur pour chaque bord).
  • DONNÉESOverhang: Liste de la saillie du pan de la toiture (un surplomb pour chaque bord).
  • DONNÉESFace: Indice de la face de l'objet de base utilisée # Pas vraiment utilisé

Script

L'outil de toit peut être utilisé dans les macros et dans la console Python en utilisant la fonction suivante:

makeRoof (baseobj,[facenr],[angles],[runs],[idrel],[thickness],[overhang],[name]) 
Fait un toit sur base d'un fil fermé. Vous pouvez fournir une liste des angles, runs, id Rel, épaisseur, surplomb pour chaque bords dans le fil pour définir la forme du toit. La valeur par défaut de l'angle est de 45° et la liste entière correspond automatiquement au nombre de bords.

Exemple:

import Arch, Draft
rect = Draft.makeRectangle(30,40)
Arch.makeRoof(rect,angles=[30.,]) 

Arch Add.png Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.

Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, en gardant toutes ses propriétés de base telle que la largeur et la hauteur.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à un mur.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

addComponents (objectsList,hostObject) 
  • Ajoute les objets donnés comme des composants de l'objet hôte donné. S'utilise par exemple pour ajouter des fenêtres à un mur, ou un murs sur un niveau.
  • Retour : rien.

Exemple:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall) 

Arch Remove.png Arch Soustraire

Emplacement du menu
Arch -> Remove
Ateliers
Arch
Raccourci par défaut
Aucun
Voir aussi
Arch Ajout


Description

L'outil Supprimer Arch Remove.png vous permet de faire 2 types d'opérations:

  • Supprimer une portion d'un objet Arch, par exemple supprimer une boîte qui a été ajoutée à un mur Arch Wall.png, comme dans l'exemple Arch ajouter Arch Add.png.
  • Soustraire une forme (shape) d'un objet de base, à partir d'une composante Arch tel qu'un mur Arch Wall.png ou, une structure Arch Structure.png.

Arch Remove example.jpg

Dans l'image ci-dessus, une boîte est soustraite d'une paroi.

Utilisation

  1. Sélectionnez le composant d'un objet Arch, ou :
  2. Sélectionnez l'objet ou les objets qui doivent être soustrait (boîte), puis l'élément hôte (mur) à partir de duquel ils doivent être soustraits (l'objet hôte (ici le mur), doit toujours être le dernier objet sélectionné).
  3. Appuyez sur le bouton Supprimer Supprimer

Script

L'outil Supprimer Supprimer peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

removeComponents (objectsList,[hostObject])

supprime le composant donné ou les composants de la liste donnée de leurs parents. Si un objet d'hôte est spécifié, cette fonction va essayer d'ajouter les composants comme des trous à l'objet hôte à la place. Exemple:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Arch.removeComponents(box) 

Credits

<translate> FreeCAD would not be what it is without the generous contributions of many people. Here's an overview of the people and companies who contributed to FreeCAD over time. For credits for the third party libraries see the Third Party Libraries page.

Developement

Project managers

Lead developers of the FreeCAD project: </translate>

<translate>

Main developers

People who work regularly on the FreeCAD code (retrieved from https://github.com/FreeCAD/FreeCAD/graphs/contributors): </translate>

<translate>

Other coders

Other people who contributed code to the FreeCAD project: </translate>

  • jmaustpc
  • j-dowsett
  • keithsloan52
  • Joachim Zettler
  • Graeme van der Vlugt
  • Berthold Grupp
  • Georg Wiora
  • Martin Burbaum
  • Jacques-Antoine Gaudin
  • Ken Cline
  • Dmitry Chigrin
  • Remigiusz Fiedler (DXF-parser)
  • peterl94
  • jobermayr
  • ovginkel
  • triplus
  • tomate44
  • maurerpe
  • Johan3DV
  • Mandeep Singh
  • fandaL
  • jonnor
  • usakhelo
  • plaes
  • SebKuzminsky
  • jcc242
  • ezzieyguywuf
  • marktaff
  • poutine70
  • qingfengxia
  • dbtayl
  • itain
  • Barleyman

<translate>

Companies

Companies which donated code or developer time: </translate>

  • Imetric 3D

<translate>

Forum moderators

People in charge of the FreeCAD forum (retrieved from http://forum.freecadweb.org/memberlist.php?mode=team): </translate>

<translate>

Community

People from the community who put a lot of efforts in helping the FreeCAD project either by being active on the forum, keeping a blog about FreeCAD, making video tutorials, packaging FreeCAD for Windows/Linux/MacOS X, writing a FreeCAD book... (listed by alphabetical order) (retrieved from http://forum.freecadweb.org/memberlist.php?mode=&sk=d&sd=d#memberlist) </translate>

<translate>

Documentation writers

People who wrote the documentation on this wiki: </translate>

  • Renato Rivoira (renatorivo)
  • Honza32
  • Hervé Blorec
  • Eduardo Magdalena
  • piffpoof
  • Wurstwasser
  • Roland Frank (r-frank)
  • bejant
  • Ediloren
  • Isaac Ayala

<translate>

Translators

People who helped to translate the FreeCAD application (retrieved from https://crowdin.com/project/freecad): </translate>

  • Gerhard Scheepers
  • wbrwbr2011
  • hanhsuan
  • hicarl
  • fandaL
  • Peta T
  • Zdeněk Havlík
  • Jodbe
  • Peter Hageman
  • Vilfredo
  • Bruno Gonçalves Pirajá
  • Timo Seppola
  • rako
  • Pasi Kukkola
  • Ettore Atalan
  • nikoss
  • yang12
  • totyg
  • htsubota
  • asakura
  • Masaya Ootsuki
  • Jiyong Choi
  • Bartlomiej Niemiec
  • trzyha
  • bluecd
  • Miguel Morais
  • Nicu Tofan
  • Victor Radulescu
  • Angelescu Constantin
  • sema
  • Николай Матвеев
  • pinkpony
  • Alexandre Prokoudine
  • Марко Пејовић
  • Marosh
  • Peter Klofutar
  • Raulshc
  • javierMG
  • Lars
  • kunguz
  • Igor
  • Федір

<translate>

Addons developers

Developers of FreeCAD addons (retrieved from https://github.com/FreeCAD/FreeCAD-addons): </translate>

  • microelly2
  • hamish2014
  • jreinhardt
  • jmwright
  • cblt2l
  • javierMG
  • looooo
  • shaise
  • marmni
  • Maaphoo
  • Rentlau

<translate> </translate>